Bug 219369 - Mount /var and /var/lock explicitly to avoid disapparing locks
Mount /var and /var/lock explicitly to avoid disapparing locks
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-12 15:15 EST by Jeff Law
Modified: 2014-03-16 23:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-23 15:34:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rc.sysinit patch (3.12 KB, patch)
2006-12-12 15:15 EST, Jeff Law
no flags Details | Diff
The right one (without unrelated changes) (1.12 KB, patch)
2006-12-12 15:17 EST, Jeff Law
no flags Details | Diff

  None (edit)
Description Jeff Law 2006-12-12 15:15:18 EST
Description of problem:
One of the concerns raised in the discussion of moving the mtab lock file from
/etc to /var/lock was how to deal with systems with a separate /var and/or
/var/lock.  It is unlikely, but possible that a lock could disappear.  ie, 
a lock is created in /var/lock in the root filesystem.  We then mount a separate
/var filesystem which causes the lock in /var/lock to silently disappear.

This patch arranges for /var and /var/lock to be mounted immediately after
filesystems are checked to help ensure that locks don't disappear.  Whee, fun.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeff Law 2006-12-12 15:15:18 EST
Created attachment 143435 [details]
rc.sysinit patch
Comment 2 Jeff Law 2006-12-12 15:17:06 EST
Created attachment 143436 [details]
The right one (without unrelated changes)
Comment 3 Bill Nottingham 2007-04-13 18:50:30 EDT
Is this still necessary? Are we actually moving the mtab locK?
Comment 4 Jeff Law 2007-04-23 15:34:30 EDT
I don't think this is still necessary as I don't think we're going to try and
get mtab out of /etc (at least in the near future).  There's simply too much
intertia (or lack thereof) amongst the various mount-tools maintainers to make
this happen.

Instead we'll be using a union-fs solution on top of /etc.  That will require a
different set of changes to initscripts, for which I'll open a separate bug.

Jeff


Note You need to log in before you can comment on or make changes to this bug.